Summary: Graphical FM-Tuner program for GNOME
Name: gnomeradio
Version: 1.8
Release: 18%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://projects.gnome.org/gnomeradio/
Source0: http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio/packages/%{name}-%{version}.tar.gz
Source1: gnomeradio.sh
Patch0: %{name}-v4l2.patch
Patch1: %{name}-ld.patch
# http://git.gnome.org/browse/gnomeradio/commit/?id=7694c70f99731724dad64444484d070ff760db89
Patch2: %{name}-crash.patch
Patch3: %{name}-gnome-3.0.patch
Patch4: %{name}-gtk.patch
# This removes the libgnomeui and uses only gtk functionality.
# With this patch, we can build this code against gtk3. It launches
# but I do not have a radio card, so I couldn't get very far with it.
# ~spot 2011-04-25
Patch5: %{name}-1.8-nogtk2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: desktop-file-utils
BuildRequires: dbus-glib-devel
BuildRequires: gettext
BuildRequires: gnome-doc-utils
BuildRequires: gnome-vfs2-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: intltool
BuildRequires: libgnome-media-profiles-devel
# BuildRequires: libgnomeui-devel
BuildRequires: lirc-devel
BuildRequires: scrollkeeper
Requires(pre): GConf2
Requires(preun): GConf2
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Gnomeradio is a FM-radio tuner for the GNOME desktop. It should work with
every FM tuner card that is supported by video4linux. Remote controls are
supported via LIRC-support. Gnomeradio can also record radio as a Wave or
Ogg files.

%prep
%setup -q
%patch0 -p1 -b .v4l2
%patch1 -p1 -b .ld
%patch2 -p1 -b .crash
%patch3 -p1 -b .gnome-3.0
%patch4 -p1 -b .gtk
%patch5 -p1 -b .nogtk2
%{__install} -m 755 %{SOURCE1} .

%build
%configure \
	--disable-schemas-install \
	--disable-install-schemas \
	--disable-scrollkeeper \
|| cat config.log

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%{__make} DESTDIR=%{buildroot} install
%find_lang %{name}

echo "Encoding=UTF-8" >> %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--vendor=fedora \
	--add-category=Audio \
	--add-category=Tuner \
	--add-category=GNOME \
	--add-category=GTK \
	--delete-original \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# Fix docs encoding
for file in AUTHORS ChangeLog README ; do
iconv -f iso8859-1 -t utf8 $file > $file.utf8 && touch -r $file $file.utf8 && mv $file.utf8 $file
done

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 >/dev/null || :

scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,0755)
%doc AUTHORS ChangeLog COPYING README README.lirc README.recording gnomeradio.sh
%{_datadir}/gnome/help/%{name}/
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.8-16
- Rebuild for new libpng

* Mon Apr 25 2011 Tom Callaway <spot@fedoraproject.org> - 1.8-15
- patch code to not use libgnomeui anymore

* Mon Apr 25 2011 Tom Callaway <spot@fedoraproject.org> - 1.8-14
- rebuild to resolve broken deps

* Sun Feb 27 2011 Dominik Mierzejewski <rpm@greysector.net> - 1.8-13
- Drop support for v4l1, fixes build against current kernel

* Fri Feb 11 2011 Matthias Clasen <mclasen@redhat.com> 1.8-12
- Rebuild against newer gtk

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> 1.8-10
- Rebuild against newer gtk3

* Sun Jan  9 2011 Matthias Clasen <mclasen@redhat.com> 1.8-9
- Rebuild against newer gtk3

* Tue Dec 07 2010 Dominik Mierzejewski <rpm@greysector.net> - 1.8-8
- rebuilt for unannounced gnome-media-devel -> libgnome-media-profiles-devel
  change (bug #660872)

* Thu Jul 15 2010 Dominik Mierzejewski <rpm@greysector.net> - 1.8-7
- rebuild against new gnome-media-libs
- fix build with current GNOME and GTK2

* Thu Jul 08 2010 Dominik Mierzejewski <rpm@greysector.net> - 1.8-6
- fixed crash in the preferences dialog, patch from upstream (rhbz#576922)

* Mon Feb 15 2010 Dominik Mierzejewski <rpm@greysector.net> - 1.8-5
- fixed FTBFS with the new ld (rhbz#564863)

* Sat Dec 04 2009 Dominik Mierzejewski <rpm@greysector.net> - 1.8-4
- Changed defaults for using v4l2 (based on a patch by Paulo Roma)
- Included script gnomeradio.sh (Paulo Roma)
- fixed URL

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 31 2008 Dominik Mierzejewski <rpm@greysector.net> - 1.8-1
- update to 1.8
- drop obsolete patch
- fixes failed assertion when editing presets (bug #448315)
- preserve timestamps on doc files
- bring back ppc* builds

* Sun Mar 09 2008 Dominik Mierzejewski <rpm@greysector.net> - 1.7-6
- disable ppc*, because of missing gnome-media(-devel) (bug #435771)

* Sat Feb 23 2008 Dominik Mierzejewski <rpm@greysector.net> - 1.7-5
- backport some segfault fixes from SVN

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.7-4
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Dominik Mierzejewski <rpm@greysector.net> - 1.7-3
- one more missing BR
- fix building of help

* Wed Aug 29 2007 Karol Trzcionka <karlikt at gmail.com> - 1.7-2
- Rebuild for BuildID

* Tue Mar 27 2007 Dominik Mierzejewski <rpm@greysector.net> - 1.7-1
- updated to 1.7
- added new missing BRs
- fix make install

* Fri Sep 08 2006 Dominik Mierzejewski <rpm@greysector.net> - 1.6-3
- removed redundant pkgconfig BR

* Sun Apr 02 2006 Dominik Mierzejewski <rpm@greysector.net> - 1.6-2
- shut up gconfd not killed warning
- add missing gettext and lirc-devel BRs
- simplify BRs

* Sat Jan 07 2006 Dominik Mierzejewski <rpm@greysector.net> - 1.6-1
- FE compliance
- more detailed description

* Fri Jan 06 2006 Dominik Mierzejewski <rpm@greysector.net>
- specfile cleanups

* Fri Oct 21 2005 Dominik Mierzejewski <rpm@greysector.net>
- Updated to 1.6

* Sat Nov 06 2004 Dag Wieers <dag@wieers.com> - 1.4-1                                        
- Fixed build problem with gnome 2.6+. (Alan Cox)

* Fri Jan 31 2003 Dag Wieers <dag@wieers.com> - 1.4-0
- Initial package. (using DAR)
